> ## Documentation Index
> Fetch the complete documentation index at: https://docs-hosting.axiomesh.io/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_newFilter

Creates a filter object, based on filter options, to notify when the state changes (logs). To check if the state has changed, call eth\_getFilterChanges.

### Body

<ParamField body="id" type="number" placeholder="1">
  Serves as a unique identifier for the request
</ParamField>

<ParamField body="jsonrpc" type="string" placeholder="2.0">
  Indicates the version of JSON-RPC being used
</ParamField>

<ParamField body="method" type="string" placeholder="eth_newFilter">
  Represents the name of the remote procedure or method to be called
</ParamField>

<ParamField body="params" type="array">
  Contains the list of parameters passed to the remote method.

  <Expandable title="params">
    <ParamField body="fromBlock" type="string or number">
      (optional, default: "latest") Integer block number, or "latest" for the last mined block or "pending", "earliest" for not yet mined
      transactions.
    </ParamField>

    <ParamField body="toBlock" type="string or number">
      (optional, default: "latest") Integer block number, or "latest" for the last mined block or "pending", "earliest" for not yet mined
      transactions.
    </ParamField>

    <ParamField body="address" type="string or array">
      20 Bytes - (optional) Contract address or a list of addresses from which logs should originate.
    </ParamField>

    <ParamField body="topics" type="array">
      (Optional) Array of 32 Bytes DATA topics. Topics are order-dependent. Each topic can also be an array of
      DATA with "or" options.
    </ParamField>
  </Expandable>
</ParamField>

### Response

<ResponseField name="id" type="number">
  Returns unique identifier for the request
</ResponseField>

<ResponseField name="jsonrpc" type="string">
  Returns the version of JSON-RPC being used.
</ResponseField>

<ResponseField name="filterId" type="string">
  A filter id
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl   'https://rpc1.aries.axiomesh.io' \
  --header 'Content-Type: application/json' \
  --data '{
      "jsonrpc": "2.0",
      "method": "eth_newFilter",
      "params": [{"fromBlock":"latest","toBlock":"latest","address":"0xc7F999b83Af6DF9e67d0a37Ee7e900bF38b3D013"}],
      "id": 1
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "id":1,
      "jsonrpc": "2.0",
      "result": "0xf968a32a04ad5e5511942fe4a16efb11"
  }
  ```
</ResponseExample>
